Page MenuHomePhabricator

Python fundraising-tools queue module should be abstracted and support Redis
Closed, ResolvedPublic2 Story Points

Description

Our Python Queue class only speaks STOMP. We need to support the new Redis queue style, and have per-queue configuration to allow incremental migration and rollback.

Do something fun with writing a python AtomicReadBuffer.

Part of this is figuring out which Python jobs are actually running in Jenkins.

Event Timeline

awight created this task.Mar 17 2016, 9:24 PM
DStrine set the point value for this task to 2.Mar 22 2016, 7:09 PM
awight renamed this task from fundraising-tools queue operations should use Redis to fundraising-tools queue operations should use Kafka.Mar 30 2016, 6:31 PM
awight updated the task description. (Show Details)
atgo removed a subscriber: atgo.Mar 30 2016, 8:29 PM
awight renamed this task from fundraising-tools queue operations should use Kafka to fundraising-tools queue operations should use a queue abstraction.Apr 19 2016, 9:19 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:19 PM
awight renamed this task from fundraising-tools queue operations should use a queue abstraction to fundraising-tools queue module should be abstracted and support Redis.Jul 15 2016, 2:05 AM
awight updated the task description. (Show Details)
awight renamed this task from fundraising-tools queue module should be abstracted and support Redis to Python fundraising-tools queue module should be abstracted and support Redis.Jul 27 2016, 9:01 PM
awight updated the task description. (Show Details)Aug 16 2016, 5:39 PM
XenoRyet claimed this task.Aug 17 2016, 5:58 PM

Change 307433 had a related patch set uploaded (by XenoRyet):
Make Paypal audit mirror to Redis

https://gerrit.wikimedia.org/r/307433

Change 307632 had a related patch set uploaded (by XenoRyet):
Make PayPal audit mirror to Redis

https://gerrit.wikimedia.org/r/307632

Change 307632 abandoned by XenoRyet:
Make PayPal audit mirror to Redis

Reason:
errant changeID

https://gerrit.wikimedia.org/r/307632

Change 307433 merged by jenkins-bot:
Make PayPal audit mirror to Redis

https://gerrit.wikimedia.org/r/307433

awight closed this task as Resolved.Sep 7 2016, 9:48 PM

The audit records are now glooping into redis.

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM